"use strict";
var Rx_1 = require('rxjs/Rx');
var LocalStorageApiTokenStore = (function () {
    function LocalStorageApiTokenStore() {
        this.authTokenKey = 'authToken';
        this.refreshTokenKey = 'refreshToken';
        this.events = new Rx_1.Subject();
    }
    LocalStorageApiTokenStore.prototype.get = function () {
        return Rx_1.Observable.from([{
                authToken: localStorage.getItem(this.authTokenKey),
                refreshToken: localStorage.getItem(this.refreshTokenKey)
            }]);
    };
    LocalStorageApiTokenStore.prototype.save = function (authToken, refreshToken) {
        localStorage.setItem(this.authTokenKey, authToken);
        localStorage.setItem(this.refreshTokenKey, refreshToken);
    };
    LocalStorageApiTokenStore.prototype.clear = function () {
        localStorage.removeItem(this.authTokenKey);
        localStorage.removeItem(this.refreshTokenKey);
    };
    return LocalStorageApiTokenStore;
}());
exports.LocalStorageApiTokenStore = LocalStorageApiTokenStore;
//# sourceMappingURL=local-storage-api-token-store.js.map